# The "Filepopup" Widget

This widget provides a file selector (browser) in a popup window.

Library: karmawidgets
Link With: -lkarmawidgets

#### Tables

Filepopup_ResourceNames | List of resource names for Filepopup widget
Filepopup_Resources | List of resources for Filepopup widget

#### Functions

XkwFilepopupPopupCallback | Popup all Filepopup widgets in a family.

## Tables

Filepopup_ResourceNames List of resource names for Filepopup widget

Name | Purpose
XkwNautoPopdown | If TRUE, the window is closed upon file selection
XkwNfileSelectCallback | Callbacks for file selection
XkwNfilenameTester | Callbacks to test filenames
XkwNloadFiles | If TRUE, files are automatically loaded upon selection
XkwNpreferFloat | If TRUE, try to convert files to type K_FLOAT
XtNx | The horizontal position to place the widget at
XtNy | The vertical position to place the widget at

Filepopup_Resources List of resources for Filepopup widget

Name | Class | Rep. Type | Default
XkwNautoPopdown | XkwCAutoPopdown | XtRBool | False
XkwNfileSelectCallback | XtCCallback | XtRCallback | NULL
XkwNfilenameTester | XtCCallback | XtRPointer | NULL
XkwNloadFiles | XkwCLoadFiles | XtRBool | FALSE
XkwNpreferFloat | XkwCPreferFloat | XtRBool | FALSE
XkwNdomainName | XkwCDomainName | XtRString | "unknown"
XkwNboxWidget | XkwCBoxWidget | XtRWidget | NULL
XkwNfilewinWidget | XkwCFilewinWidget | XtRWidget | NULL
XtNx | XtCPosition | XtRPosition | 0
XtNy | XtCPosition | XtRPosition | 0

## Functions

#### EXPERIMENTAL FUNCTION: subject to change without notice

void XkwFilepopupPopupCallback (Widget w, XtPointer client_data, XtPointer call_data)

Popup all Filepopup widgets in a family.

Parameters:

- w : The widget the event occurred on. This is ignored.
- client_data : A pointer to a Filepopup widget which is part of a family.
- call_data : Ignored.

Returns: Nothing.
Multithreading Level: Unsafe

Back to Karma Home Page